GWT 2.7.0

## com.google.gwt.user.client.ui
Enum PopupPanel.AnimationType

    java.lang.Object
      java.lang.Enum<PopupPanel.AnimationType>
          com.google.gwt.user.client.ui.PopupPanel.AnimationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PopupPanel.AnimationType>

Enclosing class:
  PopupPanel

    public static enum PopupPanel.AnimationType

extends java.lang.Enum<PopupPanel.AnimationType>

The type of animation to use when opening the popup.

- CENTER - Expand from the center of the popup
- ONE_WAY_CORNER - Expand from the top left corner, do not animate hiding
- ROLL_DOWN - Expand from the top to the bottom, do not animate hiding

Enum Constant Summary
`CENTER`
`ONE_WAY_CORNER`
`ROLL_DOWN`

Method Summary
`static PopupPanel.AnimationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PopupPanel.AnimationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CENTER

    public static final PopupPanel.AnimationType CENTER

### ONE_WAY_CORNER

    public static final PopupPanel.AnimationType ONE_WAY_CORNER

### ROLL_DOWN

    public static final PopupPanel.AnimationType ROLL_DOWN

Method Detail

### values

    public static PopupPanel.AnimationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PopupPanel.AnimationType c : PopupPanel.AnimationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PopupPanel.AnimationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

GWT 2.7.0